Loading...
Searching...
No Matches
RDKit::UFF::Tools Namespace Reference

## Classes

class | DefaultTorsionBondSmarts

## Enumerations

enum | { RELATION_1_2 = 0 , RELATION_1_3 = 1 , RELATION_1_4 = 2 , RELATION_1_X = 3 }

## Functions

RDKIT_FORCEFIELDHELPERS_EXPORT void | addAtomChargeFlags (const Atom *atom, std::string &atomKey, bool tolerateChargeMismatch=true)
RDKIT_FORCEFIELDHELPERS_EXPORT std::string | getAtomLabel (const Atom *atom)
RDKIT_FORCEFIELDHELPERS_EXPORT unsigned int | twoBitCellPos (unsigned int nAtoms, int i, int j)
RDKIT_FORCEFIELDHELPERS_EXPORT void | setTwoBitCell (boost::shared_array< std::uint8_t > &res, unsigned int pos, std::uint8_t value)
RDKIT_FORCEFIELDHELPERS_EXPORT std::uint8_t | getTwoBitCell (boost::shared_array< std::uint8_t > &res, unsigned int pos)
RDKIT_FORCEFIELDHELPERS_EXPORT boost::shared_array< std::uint8_t > | buildNeighborMatrix (const ROMol &mol)
RDKIT_FORCEFIELDHELPERS_EXPORT void | addBonds (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)
RDKIT_FORCEFIELDHELPERS_EXPORT void | addAngles (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)
RDKIT_FORCEFIELDHELPERS_EXPORT void | addNonbonded (const ROMol &mol, int confId, const AtomicParamVect &params, ForceFields::ForceField *field, boost::shared_array< std::uint8_t > neighborMatrix, double vdwThresh=100.0, bool ignoreInterfragInteractions=true)
RDKIT_FORCEFIELDHELPERS_EXPORT void | addTorsions (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field, const std::string &torsionBondSmarts=DefaultTorsionBondSmarts::string())
RDKIT_FORCEFIELDHELPERS_EXPORT void | addInversions (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
RELATION_1_2 |
RELATION_1_3 |
RELATION_1_4 |
RELATION_1_X |

Definition at line 96 of file UFF/Builder.h.

## Function Documentation

## addAngles()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::UFF::Tools::addAngles | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## addAtomChargeFlags()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::UFF::Tools::addAtomChargeFlags | ( | const Atom * | atom,
|  | std::string & | atomKey,
|  | bool | tolerateChargeMismatch = true )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## addBonds()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::UFF::Tools::addBonds | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## addInversions()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::UFF::Tools::addInversions | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## addNonbonded()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::UFF::Tools::addNonbonded | ( | const ROMol & | mol,
|  | int | confId,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field,
|  | boost::shared_array< std::uint8_t > | neighborMatrix,
|  | double | vdwThresh = 100.0,
|  | bool | ignoreInterfragInteractions = true )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## addTorsions()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::UFF::Tools::addTorsions | ( | const ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | ForceFields::ForceField * | field,
|  | const std::string & | torsionBondSmarts = DefaultTorsionBondSmarts::string() )

References RDKIT_FORCEFIELDHELPERS_EXPORT, and RDKit::UFF::Tools::DefaultTorsionBondSmarts::string().

## buildNeighborMatrix()

RDKIT_FORCEFIELDHELPERS_EXPORT boost::shared_array< std::uint8_t > RDKit::UFF::Tools::buildNeighborMatrix | ( | const ROMol & | mol | ) |

## getAtomLabel()

RDKIT_FORCEFIELDHELPERS_EXPORT std::string RDKit::UFF::Tools::getAtomLabel | ( | const Atom * | atom | ) |

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## getTwoBitCell()

RDKIT_FORCEFIELDHELPERS_EXPORT std::uint8_t RDKit::UFF::Tools::getTwoBitCell | ( | boost::shared_array< std::uint8_t > & | res,
|  | unsigned int | pos )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## setTwoBitCell()

RDKIT_FORCEFIELDHELPERS_EXPORT void RDKit::UFF::Tools::setTwoBitCell | ( | boost::shared_array< std::uint8_t > & | res,
|  | unsigned int | pos,
|  | std::uint8_t | value )

References RDKIT_FORCEFIELDHELPERS_EXPORT.

## twoBitCellPos()

RDKIT_FORCEFIELDHELPERS_EXPORT unsigned int RDKit::UFF::Tools::twoBitCellPos | ( | unsigned int | nAtoms,
|  | int | i,
|  | int | j )

References RDKIT_FORCEFIELDHELPERS_EXPORT.